import { OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { LinkularSelectComponent } from '../select/select';
import { ICountryData } from '../../services/country-code';
export declare const LINKULAR_COUNTRYCODE_VALUE_ACCESSOR: any;
export declare class LinkularCountryCodeComponent extends LinkularSelectComponent implements ControlValueAccessor, OnChanges {
    list: ICountryData[];
    saveBy: string;
    codes?: any[];
    full?: boolean;
    all: boolean;
    toggleList(codes?: any[]): void;
    ngOnChanges(changes: SimpleChanges): void;
}
