import { OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { LinkularSelectComponent } from '../select/select';
import { ILanguage } from '../../services/languages';
export declare const LINKULAR_SELECT_LANGUAGE_ACCESSOR: any;
export declare class LinkularSelectLanguageComponent extends LinkularSelectComponent implements ControlValueAccessor, OnChanges {
    languagesList: ILanguage[];
    saveBy: string;
    nameBy: string;
    all: boolean;
    full: boolean;
    select(item: any): void;
    selectValue(val: any): void;
    ngOnChanges(changes: SimpleChanges): void;
}
