import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const LINKULAR_SELECT_VALUE_ACCESSOR: any;
export declare class LinkularSelectComponent implements ControlValueAccessor, OnInit {
    el: ElementRef;
    propagateChange: any;
    onClick(event: any): void;
    fullValue: any;
    _value: any;
    opened: boolean;
    icon: string;
    list: Array<any>;
    placeholder?: string;
    label: string;
    errorMsg?: string;
    info?: string;
    disable: boolean;
    saveBy?: string;
    nameBy?: string;
    checkBy?: string;
    callback: EventEmitter<any>;
    callbackAction: boolean;
    value: any;
    constructor(el: ElementRef);
    writeValue(val: any): void;
    selectValue(val: any, init: boolean): void;
    handleCallback(full: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    select(item: any): void;
    toggle(): void;
    ngOnInit(): void;
}
