import { ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const LINKULAR_TEXTAREA_VALUE_ACCESSOR: any;
export declare class LinkularTextareaComponent implements ControlValueAccessor {
    propagateChange: any;
    placeholder: string;
    type: string;
    label: string;
    errorMsg?: string;
    info?: string;
    isSMS: boolean;
    disable: boolean;
    model: any;
    sms: number;
    char: number;
    textareaEl: ElementRef;
    writeValue(val: any): void;
    setValue(val: any): void;
    calculate(val: any, init?: boolean): void;
    calculateSMS(amount: any): number;
    calculateChar(val: any): number;
    adjust(): void;
    onResize(e: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
