import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare const LINKULAR_CHECKBOX_VALUE_ACCESSOR: any;
export declare class LinkularCheckboxComponent implements ControlValueAccessor, OnInit {
    onClick(): void;
    propagateChange: any;
    model: any;
    placeholder: string;
    label: string;
    errorMsg?: string;
    disable: boolean;
    callback: EventEmitter<any>;
    callbackAction: boolean;
    writeValue(val: any): void;
    setValue(val: any): void;
    handleCallback(): void;
    setDisabledState(isDisabled: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    ngOnInit(): void;
}
