import { ControlContainer, AbstractControl } from '@angular/forms';
import { ElementRef, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
export declare class LinkularErrorDirective implements OnInit, OnDestroy {
    private _fg;
    private _el;
    private render;
    linkularError: string;
    control: AbstractControl;
    hasView: boolean;
    controlValue$: Observable<any>;
    controlSubscription: Subscription;
    hasSubmitted: boolean;
    constructor(_fg: ControlContainer, _el: ElementRef, render: Renderer2);
    private setVisible();
    match(error: string): boolean;
    readonly form: AbstractControl;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
